Index: pdbread.f
===================================================================
--- pdbread.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ pdbread.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,23 +1,23 @@
-c **************************************************************
-c
-c This file contains the subroutines: pdbread,pdbvars,atixpdb,getpar
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: pdbread,pdbvars,atixpdb,getpar
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       subroutine pdbread(pdbfil,ier)
 
-c ....................................................
-c PURPOSE: read protein atom coordinates from 'pdbfil'
-c          (no Hydrogens, only ATOM records)
-c
-c RETURNS: 0 = no errors / 1 = error
-c
-c CALLS: iopfil,iendst
-c ......................................................
+! ....................................................
+! PURPOSE: read protein atom coordinates from 'pdbfil'
+!          (no Hydrogens, only ATOM records)
+!
+! RETURNS: 0 = no errors / 1 = error
+!
+! CALLS: iopfil,iendst
+! ......................................................
 
       implicit real*8 (a-h,o-z)
@@ -26,10 +26,10 @@
       include 'INCP.H'
 
-c -------------------------- input
+! -------------------------- input
       character*(*) pdbfil
-c -------------------------- local
+! -------------------------- local
       dimension cor(3)
       character atm*4,rsn*3,rsno*3,chn,chno,
-     #          rsid*5,rsido*5,line*132
+     &          rsid*5,rsido*5,line*132
 
       natp=0
@@ -48,5 +48,5 @@
       else
         write (*,'(a)') 
-     #    ' pdbread> empty file name to read pdb-structure'
+     &    ' pdbread> empty file name to read pdb-structure'
 
         return
@@ -57,6 +57,6 @@
       if (io.le.0) then
         write (*,'(a,/,a)') 
-     #  ' pdbread> ERROR opening file to read pdb-structure: ',
-     #  pdbfil(1:iendst(pdbfil))
+     &  ' pdbread> ERROR opening file to read pdb-structure: ',
+     &  pdbfil(1:iendst(pdbfil))
 
         return
@@ -70,7 +70,7 @@
       if ( line(17:17).ne.' ' )  then
         write (*,'(a,/,a,/,a,/,2a)') 
-     #  ' pdbread> found alternate atom location: ',
-     #  '                !',
-     #  line(:l),' in file: ',pdbfil(1:iendst(pdbfil))
+     &  ' pdbread> found alternate atom location: ',
+     &  '                !',
+     &  line(:l),' in file: ',pdbfil(1:iendst(pdbfil))
 
         close(lunpdb)
@@ -86,6 +86,6 @@
       if ((natp+1).gt.MXATP) then
         write (*,'(a,i5,a,/,a)') 
-     #  ' pdbread>  >MXATP (',MXATP,') ATOM lines in PDB file ',
-     #  pdbfil(1:iendst(pdbfil))
+     &  ' pdbread>  >MXATP (',MXATP,') ATOM lines in PDB file ',
+     &  pdbfil(1:iendst(pdbfil))
 
         close(lunpdb)
@@ -97,6 +97,6 @@
         if ((nchp+1).gt.MXCHP) then
           write (*,'(a,i3,a,/,a)') 
-     #    ' pdbread>  >MXCHP (',MXCHP,') chains in PDB file ',
-     #    pdbfil(1:iendst(pdbfil))
+     &    ' pdbread>  >MXCHP (',MXCHP,') chains in PDB file ',
+     &    pdbfil(1:iendst(pdbfil))
 
           close(lunpdb)
@@ -106,6 +106,6 @@
         if ((nrsp+1).gt.MXRSP) then
           write (*,'(a,i3,a,/,a)') 
-     #    ' pdbread>  >MXRSP (',MXRSP,') residues in PDB file ',
-     #    pdbfil(1:iendst(pdbfil))
+     &    ' pdbread>  >MXRSP (',MXRSP,') residues in PDB file ',
+     &    pdbfil(1:iendst(pdbfil))
 
           close(lunpdb)
@@ -141,6 +141,6 @@
         if ((nrsp+1).gt.MXRSP) then
           write (*,'(a,i3,a,/,a)') 
-     #    ' pdbread>  >MXRSP (',MXRSP,') residues in PDB file ',
-     #    pdbfil(1:iendst(pdbfil))
+     &    ' pdbread>  >MXRSP (',MXRSP,') residues in PDB file ',
+     &    pdbfil(1:iendst(pdbfil))
 
           close(lunpdb)
@@ -172,7 +172,7 @@
 
     2 write (*,'(a,/,a,/,2a)') 
-     #  ' pdbread> ERROR reading ATOM line ',
-     #  line(:l),
-     #  ' from file ',pdbfil(1:iendst(pdbfil))
+     &  ' pdbread> ERROR reading ATOM line ',
+     &  line(:l),
+     &  ' from file ',pdbfil(1:iendst(pdbfil))
 
       close(lunpdb)
@@ -195,6 +195,6 @@
 
         write (*,'(a,/,a)') 
-     #  ' pdbread> NO atom coordinates selected from file ',
-     #  pdbfil(1:iendst(pdbfil))
+     &  ' pdbread> NO atom coordinates selected from file ',
+     &  pdbfil(1:iendst(pdbfil))
 
       endif
@@ -205,22 +205,22 @@
 
       end
-c **************************************************************
+! **************************************************************
 
       subroutine pdbvars()
 
-c --------------------------------------------------------------------
-c PURPOSE: sequence,indices for selected atoms (data in INCP.H)
-c          & torsions from PDB to be used to build SMMP structure
-c
-c          ixatp(i,)
-c          = indices for SMMP atoms pointing to PDB atoms
-c            (=0, if atom not selected)
-c
-c --------------------------------- ref. point & axes
-c         ixrfpt(3,),rfpt(3,),xrfax(3,),yrfax(3,),zrfax(3,)
-c
-c CALLS:  tolost,getmol,bldmol,addend,atixpdb,setmvs,mklist,
-c         dihedr,fnd3ba,setsys,getpar,setvar,rmsdopt
-c --------------------------------------------------------------------
+! --------------------------------------------------------------------
+! PURPOSE: sequence,indices for selected atoms (data in INCP.H)
+!          & torsions from PDB to be used to build SMMP structure
+!
+!          ixatp(i,)
+!          = indices for SMMP atoms pointing to PDB atoms
+!            (=0, if atom not selected)
+!
+! --------------------------------- ref. point & axes
+!         ixrfpt(3,),rfpt(3,),xrfax(3,),yrfax(3,),zrfax(3,)
+!
+! CALLS:  tolost,getmol,bldmol,addend,atixpdb,setmvs,mklist,
+!         dihedr,fnd3ba,setsys,getpar,setvar,rmsdopt
+! --------------------------------------------------------------------
 
       include 'INCL.H'
@@ -236,20 +236,20 @@
       do nc=1,nchp  ! PDB chains
 
-c =============================== SMMP molecule
+! =============================== SMMP molecule
         nml=nml+1
         if (nml.gt.mxml) then
           write(*,'(a,i4,2a)')' pdbvars> NUMBER of chains > '
-     #                          ,mxml,' in ',' ?'
+     &                          ,mxml,' in ',' ?'
           stop
         endif
         ntlml=nml
-c ----------------------------- 'nmml' = ChainID
+! ----------------------------- 'nmml' = ChainID
         nmml(nml)=chnp(nc)
 
-c ======================================== get sequence
+! ======================================== get sequence
 
         irb=nrs+1
         ire=nrs+nchrsp(nc)
-c ----------------------------- # of 1st & last residue
+! ----------------------------- # of 1st & last residue
         irsml1(nml)=irb
         irsml2(nml)=ire
@@ -261,5 +261,5 @@
           if (nrs.gt.mxrs) then
             write(*,'(a,i4,2a)') ' pdbvars> NUMBER of residues > '
-     #                       ,mxrs,' in ',' ?'
+     &                       ,mxrs,' in ',' ?'
             stop
           endif
@@ -271,10 +271,10 @@
 
           if (.not.flex.and.irs.eq.irb.and.seq(nrs)(1:3).eq.'pro')
-     #      seq(nrs)='pron'  ! only ECEPP/3
+     &      seq(nrs)='pron'  ! only ECEPP/3
 
         enddo ! residues
 
-c ======================== get initial coords. for molecule 'nml'
-c                          with library values for deg. of freedom
+! ======================== get initial coords. for molecule 'nml'
+!                          with library values for deg. of freedom
 
         call getmol(nml)   ! assemble res. data from libraries
@@ -289,9 +289,9 @@
         call atixpdb(nml)  ! get 'ixatp'
 
-c -------------------------- 'load' SMMP variable information
+! -------------------------- 'load' SMMP variable information
         call setmvs(nml)   ! moving sets
         call mklist(nml)   ! interaction lists
 
-c ================================= get variables for 'nml'
+! ================================= get variables for 'nml'
 
         ii=ivrml1(nml)
@@ -356,11 +356,11 @@
         nvr = ivrml1(ntlml)+nvrml(ntlml)-1
 
-c ================================= global parameters for 'nml'
-
-c +++++++++++
+! ================================= global parameters for 'nml'
+
+! +++++++++++
        inew=0
 
        if (inew.eq.1) then
-c ++++++++++++++++++++++++
+! ++++++++++++++++++++++++
 
         call setvar(nml,vlvr)
@@ -369,6 +369,6 @@
         call rmsdopt(nml,1,nrs,ixatp,xatp,yatp,zatp,0,rm,av1,av2,rmsd)
 
-c ---------------------------- retrieve ref. coords.
-c                     & transform acc. to opt. rmsd
+! ---------------------------- retrieve ref. coords.
+!                     & transform acc. to opt. rmsd
         do i=1,3
           ii=ixrfpt(i,nml)
@@ -396,7 +396,7 @@
         call bldmol(nml)  ! finally build SMMP molecule
 
-c ++++++++++++++++
+! ++++++++++++++++
        else  ! old
-c ++++++++++++++++
+! ++++++++++++++++
 
         call fnd3ba(nml,i1,i2,i3)  ! three 1st bb atoms in SMMP (e.g. n,ca,c')
@@ -406,5 +406,5 @@
         ixrfpt(3,nml)=i3
 
-c -------------------------------- retrieve ref. coords.
+! -------------------------------- retrieve ref. coords.
         do i=1,3
           ii=ixrfpt(i,nml)
@@ -416,5 +416,5 @@
           else
             write(*,'(3a)') ' pdbvars> missing PDB atom ',nmat(ii),
-     #       ' is ref. point for SMMP - cannot proceed !'
+     &       ' is ref. point for SMMP - cannot proceed !'
           endif
         enddo
@@ -426,7 +426,7 @@
         call rmsdopt(nml,1,nrs,ixatp,xatp,yatp,zatp,0,rm,av1,av2,rmsd)
 
-c ++++++++++
+! ++++++++++
        endif
-c ++++++++++
+! ++++++++++
 
        write(*,*) ' '
@@ -437,14 +437,14 @@
       return
       end
-c ***************************
+! ***************************
       subroutine atixpdb(nml)
 
-c --------------------------------------------------------------------
-c PURPOSE: get ixatp - pointer of each SMMP atom to corresponding atom
-c                      of reference structure loaded in 'INCP.H'
-c                      (=0 if no corr. atom in ref. str.)
-c
-c CALLS:   toupst
-c --------------------------------------------------------------------
+! --------------------------------------------------------------------
+! PURPOSE: get ixatp - pointer of each SMMP atom to corresponding atom
+!                      of reference structure loaded in 'INCP.H'
+!                      (=0 if no corr. atom in ref. str.)
+!
+! CALLS:   toupst
+! --------------------------------------------------------------------
 
       include 'INCL.H'
@@ -477,6 +477,6 @@
             enddo
                
-c            write(*,'(8a)') ' pdbvars> ',atm,' not found in '
-c     #       ,chnp(nc),' ',rsidp(irs),' ',rsnmp(irs)
+!            write(*,'(8a)') ' pdbvars> ',atm,' not found in '
+!     #       ,chnp(nc),' ',rsidp(irs),' ',rsnmp(irs)
 
           endif
@@ -489,5 +489,5 @@
       return
       end
-c **************************
+! **************************
       subroutine getpar(nml)
 
@@ -496,15 +496,15 @@
       parameter (TOL = 1.d-12)
 
-c Obtain molecule-fixed system (J,K,L) for 1st 3 bb-atoms,
-c -> determine global parameters: shifts dX,dY,dZ
-c & angles alpha,beta,gamma [rad], put into 'gbpr'
-c 
-c CALLS: none
-c
+! Obtain molecule-fixed system (J,K,L) for 1st 3 bb-atoms,
+! -> determine global parameters: shifts dX,dY,dZ
+! & angles alpha,beta,gamma [rad], put into 'gbpr'
+! 
+! CALLS: none
+!
 
       i1=ixrfpt(1,nml)  ! from 'INCL.H'
       i2=ixrfpt(2,nml)
       i3=ixrfpt(3,nml)
-c -------------------------------------- Shifts
+! -------------------------------------- Shifts
       gbpr(1,nml) = xat(i1)
       gbpr(2,nml) = yat(i1)
@@ -514,5 +514,5 @@
         gbpr(i,nml) = 0.d0
       enddo
-c --------------------------------- J
+! --------------------------------- J
       h1=xat(i2)
       h2=yat(i2)
@@ -528,5 +528,5 @@
       x2=x2/d
       x3=x3/d
-c --------------------------------- L
+! --------------------------------- L
       h1=xat(i3)-h1
       h2=yat(i3)-h2
@@ -543,5 +543,5 @@
       z3=z3/d
 
-c ---------------------------------- K
+! ---------------------------------- K
       y1=z2*x3-z3*x2
       y2=z3*x1-z1*x3
@@ -550,5 +550,5 @@
       if ( ( 1.d0 - abs(y3) ) .gt. TOL )  then       ! ============ |beta| < PI/2
 
-c ----------------------------------------------- Y'
+! ----------------------------------------------- Y'
         d = sqrt( y1 * y1 + y2 * y2 )
         yp1= y1 / d
Index: redseq.f
===================================================================
--- redseq.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ redseq.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,28 +1,28 @@
-c**************************************************************
-c
-c This file contains the subroutines: redseq
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+!**************************************************************
+!
+! This file contains the subroutines: redseq
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
 
       subroutine redseq
 
-c ............................................................
-c PURPOSE: read 'lunseq' 'seqfil', extract names of molecules,
-c          sequences
-c
-c Molecules are separated by lines containing char. '#',
-c           a name for the molecule may follow '#' on this line
-c Residue   names can be of 1-4 characters to be separated by ' '
-c
-c Returns: ntlml,nmml,irsml1,irsml2,seq
-c
-c CALLS:   ibegst,iendst,iopfil,tolost
-c ............................................................
+! ............................................................
+! PURPOSE: read 'lunseq' 'seqfil', extract names of molecules,
+!          sequences
+!
+! Molecules are separated by lines containing char. '#',
+!           a name for the molecule may follow '#' on this line
+! Residue   names can be of 1-4 characters to be separated by ' '
+!
+! Returns: ntlml,nmml,irsml1,irsml2,seq
+!
+! CALLS:   ibegst,iendst,iopfil,tolost
+! ............................................................
 
       include 'INCL.H'
@@ -33,10 +33,10 @@
       if (iopfil(lunseq,seqfil,'old','formatted').le.izero) then
         write (*,'(a,/,a,i3,2a)') 
-     #    ' redseq> ERROR opening sequence file:',
-     #      ' LUN=',lunseq,' FILE=',seqfil(1:iendst(seqfil))
+     &    ' redseq> ERROR opening sequence file:',
+     &      ' LUN=',lunseq,' FILE=',seqfil(1:iendst(seqfil))
         stop
       endif
 
-c      ntlml=0
+!      ntlml=0
       if (ntlml.gt.0) then
         nrs = irsml2(ntlml)
@@ -56,5 +56,5 @@
         if (ic.gt.0) then  ! found '#'
 
-c ____________________________________ new molecule
+! ____________________________________ new molecule
 
           if (ntlml.gt.0) then   ! check previous molecule
@@ -64,5 +64,5 @@
             if ((nrs-irsml1(ntlml)+1).eq.0) then
               write(*,'(2a)') ' redseq> IGNORE molecule: ',
-     #                        nmml(ntlml)(1:iendst(nmml(ntlml)))
+     &                        nmml(ntlml)(1:iendst(nmml(ntlml)))
               ntlml=ntlml-1
             endif
@@ -71,5 +71,5 @@
           if (ntlml.gt.mxml) then
             write(*,'(a,i4,2a)')' redseq> NUMBER of molecules > '
-     #                          ,mxml,' in ',seqfil(1:iendst(seqfil))
+     &                          ,mxml,' in ',seqfil(1:iendst(seqfil))
             close(lunseq)
             stop
@@ -80,5 +80,5 @@
 
           if (ic.le.lg) then
-c ___________________________________ extract name of molecule
+! ___________________________________ extract name of molecule
 
             hlin=blnk
@@ -99,5 +99,5 @@
         else  ! no '#'
 
-c _________________________________________ sequence
+! _________________________________________ sequence
 
           ib=ibegst(line)
@@ -110,5 +110,5 @@
 
           ie=iendst(line)
-c ___________________________________ extract names of residues
+! ___________________________________ extract names of residues
     2     id=index(line(ib:ie),blnk)-1   ! find next separator
           if (id.gt.0) then
@@ -121,6 +121,6 @@
           if (id.gt.4) then
             write (*,'(4a)') ' redseq> INVALID residue NAME >',
-     #                       line(ib:ii),'< in ',
-     #      seqfil(1:iendst(seqfil))
+     &                       line(ib:ii),'< in ',
+     &      seqfil(1:iendst(seqfil))
             close(lunseq)
             stop
@@ -130,5 +130,5 @@
             if (nrs.gt.mxrs) then
               write(*,'(a,i4,2a)') ' redseq> NUMBER of residues > '
-     #                       ,mxrs,' in ',seqfil(1:iendst(seqfil))
+     &                       ,mxrs,' in ',seqfil(1:iendst(seqfil))
               close(lunseq)
               stop
@@ -155,9 +155,9 @@
 
     3 close(lunseq)
-c ___________________________________ output
+! ___________________________________ output
 
       if (nrs.eq.0) then
         write (*,'(2a)') ' redseq> no residues found in ',
-     #                   seqfil(1:iendst(seqfil))
+     &                   seqfil(1:iendst(seqfil))
         stop
       else
@@ -176,9 +176,9 @@
             if ((nrs-ifirs+1).eq.0) then
               write(*,'(2a)') ' redseq> IGNORE molecule '
-     #                        ,nmml(ntlml)(1:iendst(nmml(ntlml)))
+     &                        ,nmml(ntlml)(1:iendst(nmml(ntlml)))
               ntlml=ntlml-1
               if (ntlml.eq.0) then
                 write (*,'(2a)') ' redseq> no residues found in ',
-     #          seqfil(1:iendst(seqfil))
+     &          seqfil(1:iendst(seqfil))
                 stop
               endif
@@ -188,8 +188,8 @@
           endif
 
-cc          write (*,'(/,a,i4,2a)') ' redseq> ',irsml2(i)-irsml1(i)+1,
-cc     #           ' residue(s) in molecule: ',
-cc     #           nmml(i)(1:iendst(nmml(i)))
-cc          write (*,'(15(1x,a))') (seq(j),j=irsml1(i),irsml2(i))
+!          write (*,'(/,a,i4,2a)') ' redseq> ',irsml2(i)-irsml1(i)+1,
+!     &           ' residue(s) in molecule: ',
+!     &           nmml(i)(1:iendst(nmml(i)))
+!          write (*,'(15(1x,a))') (seq(j),j=irsml1(i),irsml2(i))
 
         enddo
@@ -197,8 +197,8 @@
       endif
       return
-c _______________________________________________ error
+! _______________________________________________ error
 
     4 write (*,'(a,i4,2a)') ' redseq> ERROR reading line No. ',nln,
-     #' in ',seqfil(1:iendst(seqfil))
+     & ' in ',seqfil(1:iendst(seqfil))
       close(lunseq)
       stop
Index: redstr.f
===================================================================
--- redstr.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ redstr.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,29 +1,29 @@
-c**************************************************************
-c
-c This file contains the subroutines: extstr,ibegst,iendst,
-c                                     iredin,iredrl,iopfil,
-c                                     tolost,toupst
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+!**************************************************************
+!
+! This file contains the subroutines: extstr,ibegst,iendst,
+!                                     iredin,iredrl,iopfil,
+!                                     tolost,toupst
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
 
       subroutine extstr(spr,ib,ie,str,strn,l)
 
-c ..........................................................
-c PURPOSE:  Extract substring preceeding separator 'spr'
-c           from 'str' searching from position 'ib' up to
-c           position 'ie' and put it into 'strn(1:l)'.
-c           'ib' is shifted to position following 'spr' or
-c           to 'ie+1', if 'spr' is not found
-c
-c          ! 'spr' should not be blank
-c
-c CALLS: ibegst,iendst
-c ..........................................................
+! ..........................................................
+! PURPOSE:  Extract substring preceeding separator 'spr'
+!           from 'str' searching from position 'ib' up to
+!           position 'ie' and put it into 'strn(1:l)'.
+!           'ib' is shifted to position following 'spr' or
+!           to 'ie+1', if 'spr' is not found
+!
+!          ! 'spr' should not be blank
+!
+! CALLS: ibegst,iendst
+! ..........................................................
 
       implicit integer*4 (i-n)
@@ -64,5 +64,5 @@
         l=0
         strn=blnk
-c ____________________________ make string in 'strn' left justified
+! ____________________________ make string in 'strn' left justified
       elseif (i.gt.1) then
         j=iendst(strn)
@@ -75,18 +75,18 @@
 
       return
-c ______________________________________________________________ Error
+! ______________________________________________________________ Error
     1 write (*,'(a)') ' extstr> Substring to be extracted is too long !'
       stop
 
       end
-c **********************************
+! **********************************
       integer*4 function ibegst(str)
 
-c .............................................................
-c PURPOSE: returns position of 1st non-blank character in 'str'
-c
-c CALLS: none
-c
-c .............................................................
+! .............................................................
+! PURPOSE: returns position of 1st non-blank character in 'str'
+!
+! CALLS: none
+!
+! .............................................................
 
       implicit integer*4 (i-n)
@@ -106,13 +106,13 @@
       return
       end
-c **********************************
+! **********************************
       integer*4 function iendst(str)
 
-c ..............................................................
-c PURPOSE: returns position of last non-blank character in 'str'
-c
-c CALLS: none
-c
-c ..............................................................
+! ..............................................................
+! PURPOSE: returns position of last non-blank character in 'str'
+!
+! CALLS: none
+!
+! ..............................................................
 
       implicit integer*4 (i-n)
@@ -132,16 +132,16 @@
       return
       end
-c **************************************
+! **************************************
       integer*4 function iredin(line,in)
 
-c ..........................................
-c PURPOSE: Read integer*4 value 'in' from 'line'
-c          with format 'i9'
-c
-c          iredin=0 : error status
-c          iredin=1 : success
-c
-c CALLS: ibegst,iendst
-c ..........................................
+! ..........................................
+! PURPOSE: Read integer*4 value 'in' from 'line'
+!          with format 'i9'
+!
+!          iredin=0 : error status
+!          iredin=1 : success
+!
+! CALLS: ibegst,iendst
+! ..........................................
 
       implicit integer*4 (i-n)
@@ -172,22 +172,22 @@
     1 return
       end
-c *************************************
+! *************************************
       integer*4 function iredrl(line,r)
 
-c ..........................................
-c PURPOSE: Read real*8 value 'r' from 'line'
-c          with format 'd17.6'
-c
-c          iredrl=0 : error status
-c          iredrl=1 : success
-c
-c CALLS: ibegst,iendst
-c ..........................................
+! ..........................................
+! PURPOSE: Read real*8 value 'r' from 'line'
+!          with format 'd17.6'
+!
+!          iredrl=0 : error status
+!          iredrl=1 : success
+!
+! CALLS: ibegst,iendst
+! ..........................................
 
       implicit integer*4 (i-n)
 
       parameter (mxd =17,   ! max. # of digits
-     #           mxap= 6,   ! max. # of digits after period
-     #           mxip=mxd-mxap)
+     &           mxap= 6,   ! max. # of digits after period
+     &           mxip=mxd-mxap)
  
       real*8 r
@@ -222,12 +222,12 @@
     1 return
       end
-c **************************
+! **************************
       subroutine tolost(str)
 
-c ..........................................
-c  PURPOSE:  converts 'string' to lower-case
-c  INPUT:    str - string to be converted
-c  CALLS:    ibegst,iendst
-c ..........................................
+! ..........................................
+!  PURPOSE:  converts 'string' to lower-case
+!  INPUT:    str - string to be converted
+!  CALLS:    ibegst,iendst
+! ..........................................
 
       include 'INCL.H'
@@ -246,12 +246,12 @@
       return
       end
-c **************************
+! **************************
       subroutine toupst(str)
 
-c ..........................................
-c  PURPOSE:  converts 'string' to upper-case
-c  INPUT:    str - string to be converted
-c  CALLS:    ibegst,iendst
-c ..........................................
+! ..........................................
+!  PURPOSE:  converts 'string' to upper-case
+!  INPUT:    str - string to be converted
+!  CALLS:    ibegst,iendst
+! ..........................................
 
       include 'INCL.H'
@@ -270,16 +270,16 @@
       return
       end
-c *****************************************************
+! *****************************************************
       integer*4 function iopfil(lun,filnam,stat,format)
 
-c ........................................................
-c PURPOSE: open 'lun' with 'filnam' 'stat' 'format'
-c
-c          returns: 1 = file successful opened
-c                   0 = error during open of existing file
-c                  -1 = file does not exist
-c
-c CALLS: ibegst
-c ........................................................
+! ........................................................
+! PURPOSE: open 'lun' with 'filnam' 'stat' 'format'
+!
+!          returns: 1 = file successful opened
+!                   0 = error during open of existing file
+!                  -1 = file does not exist
+!
+! CALLS: ibegst
+! ........................................................
 
       implicit integer*4 (i-n)
@@ -299,5 +299,5 @@
             if (j.gt.0.and.k.gt.0) then
               open(lun,file=filnam(i:),status=stat(j:),
-     #             form=format(k:),err=1)
+     &             form=format(k:),err=1)
               iopfil=1
             endif
